org.apache.flume.source

## Class SyslogTcpSource

- java.lang.Object
- - org.apache.flume.source.AbstractSource
  - - org.apache.flume.source.SyslogTcpSource

- All Implemented Interfaces:
    Configurable, EventDrivenSource, LifecycleAware, NamedComponent, Source

  Deprecated.
  use `MultiportSyslogTCPSource` instead.

      @Deprecated
      public class SyslogTcpSource
      extends AbstractSource
      implements EventDrivenSource, Configurable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `SyslogTcpSource.syslogTcpHandler` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyslogTcpSource()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Deprecated. Request the implementing class to (re)configure itself.
    `void` | `start()` Deprecated. Starts a service or component.
    `void` | `stop()` Deprecated. Stops a service or component.

    - ### Methods inherited from class org.apache.flume.source.AbstractSource

      `getChannelProcessor, getLifecycleState, getName, setChannelProcessor, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.Source

      `getChannelProcessor, setChannelProcessor`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

- - ### Constructor Detail

    - #### SyslogTcpSource

          public SyslogTcpSource()

      Deprecated.

  - ### Method Detail

    - #### start

          public void start()

      Deprecated.
      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`
      Overrides:
        `start` in class `AbstractSource`

    - #### stop

          public void stop()

      Deprecated.
      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`
      Overrides:
        `stop` in class `AbstractSource`

    - #### configure

          public void configure(Context context)

      Deprecated.
      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.